.clearfix::after {
  content: "";
  clear: both;
  display: table;
}

.background {
  /*  position: relative;*/
  height: 100vh;
  background: #b29e8f url('../img/background.png');
  background-size: cover;
  font-family: 'Verdana', sans-serif;
}

.header {
  height: 54px;
  background-color: rgba(0, 0, 0, 0.41);
}

.header__wrapper {
  max-width: 1366px;
  margin: 0 auto;
  padding: 0 74px 0 81px;
}

.header__logo {
  float: left;
  text-transform: uppercase;
  font-size: 1.2em;
  color: #ffffff;
}

.header__icons {
  float: right;
  padding: 16px 37px 0 0;
}

.header__icon {
  display: block;
  float: left;
  margin: 0 14px;
  color: #ffffff;
}

.header__icon:hover {
  color: #3cb878;
}

.header__links {
  float: right;
  padding: 18px 0 0 0;
  font-size: 0.875em;
  color: #ffffff;
}

.header__link {
  color: #3cb878;
}

.signup__title {
  float: left;
  font-size: 1.25em;
  line-height: 1.05;
  color: #434343;
}

.signup {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  width: 444px;
  padding: 25px 60px 32px 60px;
  border-radius: 11px;
  box-shadow: 0px 4px 18px 0px rgba(0, 0, 0, 0.52);
  background-color: #ffffff;
}

.signup__rectangle {
  position: absolute;
  left: 0;
  top: 29px;
  background-color: #3cb878;
  width: 18px;
  height: 18px;
}

.signup__login {
  float: right;
  font-size: 0.875em;
  line-height: 1.5em;
  color: #3cb878;
}

.social__buttons {
  margin: 25px 0 4px 0;
}

.social__button {
  width: 49%;
  height: 46px;
  border: none;
  border-radius: 3px;
  transition: background 0.2s;
}

.social__button--facebook {
  float: left;
  background-color: #305db8;
  cursor: pointer;
}

.social__button--facebook:hover {
  background-color: #264b96;
}

.social__button--google {
  float: right;
  background-color: #df4a32;
  cursor: pointer;
}

.social__button--google:hover {
  background-color: #c3412c;
}

.social__facebook {
  display: block;
  float: left;
  height: 26px;
  width: 26px;
  padding: 0 27px 0 0px;
  margin: 0px 0 0 16px;
  border-right: 1px solid rgba(0, 0, 0, 0.1);
  background-image: url('../img/css_sprites.png');
  background-position: -10px -5px;
}

.social__google {
  display: block;
  float: left;
  height: 26px;
  width: 26px;
  padding: 0 34px 0 0px;
  margin: 0 0 0 9px;
  border-right: 1px solid rgba(0, 0, 0, 0.1);
  background-image: url('../img/css_sprites.png');
  background-position: -198px -203px;
}

.social__title {
  float: right;
  width: 70%;
  font-size: 1rem;
  line-height: 1.6rem;
  color: #ffffff;
}

.separator {
  position: relative;
  padding: 17px 0 17px 0;
}

.separator__text {
  position: absolute;
  left: 50%;
  top: 48%;
  transform: translate(-50%, -50%);
  padding: 0 18px;
  background-color: white;
  font-size: 0.875em;
  color: #848484;
}

.separator__hr {
  border: 0;
  height: 0;
  border-top: 1px solid rgba(0, 0, 0, 0.1);
  border-bottom: 1px solid rgba(255, 255, 255, 0.3);
}

.signup__field {
  width: 100%;
  height: 46px;
  margin: 4px 0 5px 0;
  padding: 0 0 0 16px;
  border-radius: 3px;
  border-width: 1px;
  border-color: #eaeaea;
  border-style: solid;
  background-color: #ffffff;
  font-size: 0.875em;
  transition: border-color 0.2s, box-shadow 0.2s;
}

.signup__field:hover {
  border-color: #dfdddd;
}

.signup__field:focus {
  outline-width: 0;
  border-color: #ffffff;
  box-shadow: 0px 3px 8px 0px rgba(0, 0, 0, 0.21);
  color: #434343;
}

.signup__field:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: #bebebe;
}

.signup__field::-ms-input-placeholder {
  /* Microsoft Edge */
  color: #bebebe;
}

.signup__field::placeholder {
  color: #bebebe;
  /* Firefox */
  opacity: 1;
}

.signup__link {
  color: #3cb878;
}

.signup__create {
  height: 46px;
  width: 100%;
  margin: 10px 0 0 0;
  border: none;
  border-radius: 3px;
  background-color: #3cb878;
  color: #ffffff;
  font-size: 1.1em;
  cursor: pointer;
  transition: background 0.2s;
}

.signup__create:hover {
  background-color: #329a65;
}

.signup__terms {
  margin: 15px 0;
}

.signup__label {
  font-size: 0.875em;
  color: #434343;
}

.sprite {
  background-image: url('../img/css_sprites.png');
}

.sprite:after {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  opacity: 0;
  transition: opacity 0.2s;
}

.sprite:hover:after {
  opacity: 1;
}

.sprite__logo {
  position: relative;
  display: block;
  float: left;
  margin: 18px 0 0 0;
  width: 85px;
  height: 16px;
  background-position: -339px -324px;
}

.sprite__logo:after {
  width: 85px;
  height: 16px;
  background-image: url('../img/css_sprites.png');
  background-position: -444px -360px;
}

.sprite__calendar {
  position: relative;
  width: 19px;
  height: 19px;
  background-position: -40px -50px;
}

.sprite__calendar:after {
  width: 19px;
  height: 19px;
  background-image: url('../img/css_sprites.png');
  background-position: -79px -89px;
}

.sprite__forum {
  position: relative;
  width: 28px;
  height: 20px;
  background-position: -243px -244px;
}

.sprite__forum:after {
  width: 28px;
  height: 20px;
  background-image: url('../img/css_sprites.png');
  background-position: -291px -284px;
}

.sprite__journey {
  position: relative;
  width: 20px;
  height: 20px;
  background-position: -118px -128px;
}

.sprite__journey:after {
  width: 20px;
  height: 20px;
  background-image: url('../img/css_sprites.png');
  background-position: -158px -168px;
}

.signup__checkbox {
  position: absolute;
  opacity: 0;
}

.signup__checkbox + label {
  position: relative;
  cursor: pointer;
  padding: 0;
}

.signup__checkbox + label:before {
  content: "";
  margin-right: 10px;
  display: inline-block;
  vertical-align: text-top;
  width: 18px;
  height: 18px;
  border: 1px solid #eaeaea;
  border-radius: 3px;
  background: white;
  transition: border 0.2s;
}

.signup__checkbox:hover + label:before {
  border-color: #dfdddd;
}

.signup__checkbox:checked + label:before {
  background: #ffffff;
}

.signup__checkbox:disabled + label {
  color: #b8b8b8;
  cursor: auto;
}

.signup__checkbox:disabled + label:before {
  box-shadow: none;
  background: #ddd;
}

.signup__checkbox:checked + label:after {
  content: "";
  position: absolute;
  left: 5px;
  top: 9px;
  background: #3cb878;
  width: 2px;
  height: 2px;
  box-shadow: 2px 0 0 #3cb878, 4px 0 0 #3cb878, 4px -2px 0 #3cb878, 4px -4px 0 #3cb878, 4px -6px 0 #3cb878, 4px -8px 0 #3cb878;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}
